## python-tuskarclient 0.1.4

=== requirements.txt ===
pbr>=0.5.21,<1.0

argparse
Babel>=1.3
iso8601>=0.1.8
prettytable>=0.6,<0.8
python-keystoneclient>=0.4.1
requests>=1.1
simplejson>=2.0.9
six>=1.4.1

=== debian/changelog ===
python-tuskarclient (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.
  * Using testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:46:15 +0000

python-tuskarclient (0.1.1-3) experimental; urgency=low

  * Added BSD license of doc/source/_static/nature.css.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 22:12:51 +0800

python-tuskarclient (0.1.1-2) experimental; urgency=low

  * Fixed install of the python module.

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2014 10:52:24 +0800

python-tuskarclient (0.1.1-1) experimental; urgency=low

  * Initial release (Closes: #732181)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 15:53:48 +0800

=== debian/control ===
Source: python-tuskarclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21)
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8),
                     python-iso8601 (>= 0.1.8),
                     python-keystoneclient (>= 1:0.4.1),
                     python-mock (>= 1.0),
                     python-prettytable,
                     python-requests (>= 1.1),
                     python-stevedore (>= 0.12),
                     python-simplejson,
                     python-six (>=1.4.1),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.32),
                     python-sphinx (>= 1.1.2),
                     python-sphinxcontrib-pecanwsme (>= 0.5),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/python-tuskarclient
Vcs-Git: git://anonscm.debian.org/openstack/python-tuskarclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tuskarclient.git;a=summary

Package: python-tuskarclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.8),
         python-keystoneclient (>= 1:0.4.1),
         python-prettytable,
         python-requests (>= 1.1),
         python-stevedore (>= 0.12),
         python-simplejson,
         python-six (>=1.4.1),
         ${misc:Depends},
         ${python:Depends}
Description: control how and where OpenStack services are deployed - client
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This is a client for the OpenStack Tuskar API. There's a Python API
 (the "tuskarclient" module), and a command-line script ("tuskar").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Tuskar's API.

Package: python-tuskarclient-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: control how and where OpenStack services are deployed - client doc
 Tuskar gives administrators the ability to control how and where OpenStack
 services are deployed across the datacenter. Using Tuskar, administrators
 divide hardware into "resource classes" that allow predictable elastic scaling
 as cloud demands grow. This resource orchestration allows Tuskar users to
 ensure SLAs, improve performance, and maximize utilization across the
 datacenter.
 .
 Tuskar services are available via a RESTful API and management console through
 which administrators are able to classify their hardware and define their
 datacenters. In addition, Tuskar components provide administrators with
 performance monitoring, health statistics, and usage metrics, aiding in
 capacity planning and hardware procurement decisions.
 .
 This is a client for the OpenStack Tuskar API. There's a Python API
 (the "tuskarclient" module), and a command-line script ("tuskar").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Tuskar's API.
 .
 This package contains the client documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-tuskarclient.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tuskarclient; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-tuskarclient-doc/usr/share/doc/python-tuskarclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/man

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-tuskarclient 0.1.17

=== debian/changelog ===
python-tuskarclient (0.1.17-2) unstable; urgency=medium

  * Making build reproducible (Closes: #782388). Thanks to Reiner Herrmann
    <reiner@reiner-h.de> for the report and the patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 18:57:10 +0200

python-tuskarclient (0.1.17-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 15:05:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,49 +2,47 @@
 Section: python
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.5.21)
-Build-Depends-Indep: python-babel (>= 1.3),
-                     python-coverage (>= 3.6),
-                     python-fixtures (>= 0.3.14),
-                     python-hacking (>= 0.8),
-                     python-iso8601 (>= 0.1.8),
-                     python-keystoneclient (>= 1:0.4.1),
-                     python-mock (>= 1.0),
+               python-all,
+               python-pbr,
+               python-setuptools,
+               python-sphinx,
+Build-Depends-Indep: python-babel,
+                     python-coverage,
+                     python-fixtures,
+                     python-hacking,
+                     python-iso8601,
+                     python-keystoneclient (>= 1:1.1.0),
+                     python-mock,
                      python-prettytable,
-                     python-requests (>= 1.1),
-                     python-stevedore (>= 0.12),
+                     python-requests,
+                     python-stevedore,
                      python-simplejson,
-                     python-six (>=1.4.1),
-                     python-subunit (>= 0.0.18),
-                     python-testtools (>= 0.9.32),
-                     python-sphinx (>= 1.1.2),
-                     python-sphinxcontrib-pecanwsme (>= 0.5),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.17)
-Standards-Version: 3.9.5
+                     python-six (>= 1.9.0),
+                     python-sphinxcontrib-pecanwsme,
+                     python-testtools,
+                     subunit,
+                     testrepository,
+Standards-Version: 3.9.6
 Homepage: https://github.com/openstack/python-tuskarclient
 Vcs-Git: git://anonscm.debian.org/openstack/python-tuskarclient.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tuskarclient.git;a=summary
 
 Package: python-tuskarclient
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-babel (>= 1.3),
-         python-iso8601 (>= 0.1.8),
-         python-keystoneclient (>= 1:0.4.1),
+Depends: python-babel,
+         python-iso8601,
+         python-keystoneclient (>= 1:1.1.0),
          python-prettytable,
-         python-requests (>= 1.1),
-         python-stevedore (>= 0.12),
+         python-requests,
+         python-stevedore,
          python-simplejson,
-         python-six (>=1.4.1),
+         python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: control how and where OpenStack services are deployed - client
  Tuskar gives administrators the ability to control how and where OpenStack
  services are deployed across the datacenter. Using Tuskar, administrators
@@ -68,7 +66,6 @@
 Package: python-tuskarclient-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: control how and where OpenStack services are deployed - client doc
  Tuskar gives administrators the ability to control how and where OpenStack

## python-tuskarclient 0.1.18

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

Babel>=1.3
cliff>=1.10.0  # Apache-2.0
iso8601>=0.1.9
PrettyTable>=0.7,<0.8
python-keystoneclient>=1.3.0
requests>=2.5.2
python-openstackclient>=1.0.0
simplejson>=2.2.0
six>=1.9.0

=== debian/changelog ===
python-tuskarclient (0.1.18-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Nov 2015 14:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,16 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel,
+                     python-cliff (>= 1.10.0),
                      python-coverage,
                      python-fixtures,
                      python-hacking,
                      python-iso8601,
-                     python-keystoneclient (>= 1:1.1.0),
+                     python-keystoneclient (>= 1:1.3.0),
                      python-mock,
+                     python-openstackclient (>= 1.0.0),
                      python-prettytable,
-                     python-requests,
+                     python-requests (>= 2.5.2),
                      python-stevedore,
                      python-simplejson,
                      python-six (>= 1.9.0),
@@ -34,10 +36,12 @@
 Package: python-tuskarclient
 Architecture: all
 Depends: python-babel,
+         python-cliff (>= 1.10.0),
          python-iso8601,
-         python-keystoneclient (>= 1:1.1.0),
+         python-keystoneclient (>= 1:1.3.0),
+         python-openstackclient (>= 1.0.0),
          python-prettytable,
-         python-requests,
+         python-requests (>= 2.5.2),
          python-stevedore,
          python-simplejson,
          python-six (>= 1.9.0),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 UPSTREAM_GIT = git://github.com/openstack/python-tuskarclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
+
+export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
@@ -29,13 +32,13 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-tuskarclient-doc/usr/share/doc/python-tuskarclient-doc/html
+	sphinx-build -D today="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/python-tuskarclient-doc/usr/share/doc/python-tuskarclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source doc/man
+	sphinx-build -D today="$(BUILD_DATE)" -b man doc/source doc/man
 	dh_installman -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
https://github.com/openstack/python-tuskarclient/tags .*/(\d[\d\.]+)\.tar\.gz
